Bug 703101 - [PATCH] DateTime should be rebuilt on tzdata updates
Summary: [PATCH] DateTime should be rebuilt on tzdata updates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-DateTime
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-09 09:48 UTC by Lubomir Rintel
Modified: 2017-04-06 10:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:06:36 UTC


Attachments (Terms of Use)
Proposed fix (1.84 KB, patch)
2011-05-09 09:51 UTC, Lubomir Rintel
no flags Details | Diff

Description Lubomir Rintel 2011-05-09 09:48:54 UTC
Description of problem:

tzdata package updates and new time zones are added from time to time (such as Asia/Kolkata). As DateTime contains files generated from it, it should be rebuilt on each such update.

The patch attached adds an explicit dependency on specific version of tzdata, so that it would disallow updates in case of tzdata rebuild w/o DateTime rebuilt, so that it would no go unnoticed.

Additional info:

At the very least, even if the patch is rejected, please trigger a DateTime rebuild. Maybe coordinate with tzdata maintainer on future updates.

Comment 1 Lubomir Rintel 2011-05-09 09:50:44 UTC
Reassigning to Steve, since this should be fixed in Fedora as well.
I still mostly care about EPEL fix at this point though.

Comment 2 Lubomir Rintel 2011-05-09 09:51:26 UTC
Created attachment 497752 [details]
Proposed fix

Comment 3 Iain Arnell 2011-05-09 10:32:51 UTC
I think a hardcoded dependency on tzdata is a bad idea. For anyone with perl-DateTime installed, it would prevent updates of tzdata itself until a new perl-DateTime is also available. And since updates for EPEL must spend two weeks in testing, that would cause at least a two week delay for tzdata too.

In Fedora, things are currently much better. I've already taken it upon myself to ensure that we're reasonably up to date everywhere (2011g is already in f15's perl-DateTime and making it's way through testing for f13 and f14). And to try to keep it that way.

I considered pushing updates for EPEL too, but stopped when I realised that perl-DateTime is actually part of RHEL6 itself (optional channel, for some archs, not all). We only have it in EPEL6 to make it available for all archs; we shouldn't be overriding or updating the official RHEL6 version (bug #669320 deals with the problem that we are, though).

I figured that if Red Hat aren't keeping the package up to date in EL6, it would be unusual for EPEL to maintain a newer version for EL4 and 5.

Comment 4 Fedora End Of Life 2017-04-06 10:06:36 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.